# build/build.c File Reference

Top-level build dispatcher. More...

`#include "system.h"`
`#include <rpmio_internal.h>`
`#include <rpmbuild.h>`
`#include "debug.h"`

Go to the source code of this file.

## Functions

static void | doRmSource (Spec spec)
int | doScript (Spec spec, int what, const char *name, StringBuf sb, int test)
| Run a build script, assembled from spec file scriptlet section.
int | buildSpec (Spec spec, int what, int test)
| Build stages state machine driver.

## Variables

static int | _build_debug = 0

## Detailed Description

Top-level build dispatcher.

Definition in file build.c.

## Function Documentation

static void doRmSource | ( | Spec | spec | ) | `[static]`

Definition at line 22 of file build.c.

## Variable Documentation

int _build_debug = 0`[static]`

Definition at line 14 of file build.c.